List videos
curl --request GET \
--url https://api.videodb.io/video/ \
--header 'x-access-token: <api-key>'const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/video/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/video/' -Method GET -Headers $headersimport Foundation
let url = URL(string: "https://api.videodb.io/video/")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-access-token": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/video/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/video/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/video/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/video/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/video/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.videodb.io/video/")
.get()
.addHeader("x-access-token", "<api-key>")
.build()
val response = client.newCall(request).execute(){
"success": true,
"data": {
"videos": [
{
"id": "m-12345",
"name": "video.mp4",
"description": "Video description",
"collection_id": "default",
"length": 120.5,
"size": 1048576,
"stream_url": "https://stream.videodb.io/v/12345",
"player_url": "https://console.videodb.io/player/12345",
"thumbnail_url": "https://assets.videodb.io/thumb/12345.jpg",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}List Videos
Retrieve a paginated list of all videos in a collection
GET
/
video
/
List videos
Retrieve all videos from a collection with full metadata for each video including duration, thumbnails, and stream URLs.
import videodb
conn = videodb.connect(api_key="your_api_key")
coll = conn.get_collection()
# Get all videos
videos = coll.get_videos()
for video in videos:
print(f"Video: {video.name} ({video.id})")
print(f"Duration: {video.length}s")
import { connect } from 'videodb';
const conn = connect({ apiKey: 'your_api_key' });
const coll = await conn.getCollection();
// Get all videos
const videos = await coll.getVideos();
for (const video of videos) {
console.log(`Video: ${video.name} (${video.id})`);
console.log(`Duration: ${video.length}s`);
}
- Returns all videos within a specific collection
- Each video object contains complete metadata (ID, name, duration, stream URL, thumbnail)
- Videos are organized at the collection level
- Video list includes only videos belonging to the authenticated user’s collections
Authorizations
API key for authentication (sk-xxx format)
Query Parameters
Example:
"default"
Example:
0
Required range:
x <= 5000Example:
50
⌘I